Bug 479898 - ships a pointless init script
ships a pointless init script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anton Arapov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 578107
  Show dependency treegraph
 
Reported: 2009-01-13 17:05 EST by Bill Nottingham
Modified: 2014-06-18 04:02 EDT (History)
7 users (show)

See Also:
Fixed In Version: microcode_ctl-1.17-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 578107 (view as bug list)
Environment:
Last Closed: 2010-04-09 00:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Changes required (5.34 KB, patch)
2009-01-13 17:05 EST, Bill Nottingham
no flags Details | Diff
make eventdriven (3.56 KB, patch)
2010-03-23 05:29 EDT, Anton Arapov
no flags Details | Diff
udev rules (106 bytes, patch)
2010-03-23 05:30 EDT, Anton Arapov
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2009-01-13 17:05:48 EST
Created attachment 328923 [details]
Changes required

Description of problem:

It should be done via udev.

Version-Release number of selected component (if applicable):

microcode_ctl-1.17-1.46.fc10.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Look at file list
  
Actual results:

Init script.

Expected results:

No init script.
Comment 1 Harald Hoyer 2009-01-28 08:10:13 EST
ping?
Comment 2 Harald Hoyer 2009-02-09 07:56:45 EST
ping?
Comment 3 Fedora Admin XMLRPC Client 2009-06-03 15:00:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2009-06-09 06:42:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Anton Arapov 2010-03-23 05:29:57 EDT
Created attachment 401979 [details]
make eventdriven
Comment 6 Anton Arapov 2010-03-23 05:30:22 EDT
Created attachment 401980 [details]
udev rules
Comment 7 Anton Arapov 2010-03-23 05:32:24 EDT
  patch was integrated into microcode_ctl-1.17-2, rawhide.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2069331

Thanks, Bill.
Comment 8 Anton Arapov 2010-03-23 05:33:17 EDT
I've performed basic tests before commit. Worked flawlessly for me.
Comment 9 Harald Hoyer 2010-03-23 05:34:06 EDT
KERNEL=="cpu[0-9]*", RUN+="/sbin/modprobe microcode"
KERNEL=="microcode", RUN+="/sbin/microcode_ctl -Qu"

should be:

KERNEL=="cpu[0-9]*", ACTION=="add", RUN+="/sbin/modprobe microcode"
KERNEL=="microcode", ACTION=="add", RUN+="/sbin/microcode_ctl -Qu"
Comment 10 Fedora Update System 2010-03-23 05:49:39 EDT
microcode_ctl-1.17-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/microcode_ctl-1.17-2.fc13
Comment 11 Anton Arapov 2010-03-23 05:50:59 EDT
Thanks, Harold...
I will make the change asap.
Comment 12 Fedora Update System 2010-03-23 06:00:57 EDT
microcode_ctl-1.17-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/microcode_ctl-1.17-3.fc13
Comment 13 Anton Arapov 2010-03-23 06:02:04 EDT
please, test:
  https://admin.fedoraproject.org/updates/microcode_ctl-1.17-3.fc13
Comment 14 Harald Hoyer 2010-03-23 06:20:07 EDT
I don't know, if the CPU has to be online, if yes, then ATTR{online}="1" should be added.
Comment 15 Harald Hoyer 2010-03-23 06:20:46 EDT
ah, scratch that last comment :-)
Comment 16 Fedora Update System 2010-03-23 19:19:59 EDT
microcode_ctl-1.17-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update microcode_ctl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/microcode_ctl-1.17-2.fc13
Comment 17 Fedora Update System 2010-03-23 19:34:10 EDT
microcode_ctl-1.17-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update microcode_ctl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/microcode_ctl-1.17-3.fc13
Comment 18 Fedora Update System 2010-04-09 00:25:08 EDT
microcode_ctl-1.17-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.